import{s as ee,n as te,o as ae}from"../chunks/scheduler.db6b1edd.js";import{S as ie,i as ne,g as o,s as n,r as q,A as se,h as l,f as a,c as s,j as X,u as F,x as y,k as Z,y as oe,a as i,v as O,d as G,t as I,w as R}from"../chunks/index.ef84021a.js";import{H as W,E as le}from"../chunks/EditOnGithub.f0365ffe.js";function re(Y){let r,T,b,M,d,x,u,B="Machine learning datasets are commonly organized in <em>splits</em> and they may also have <em>configurations</em>. These internal structures provide the scaffolding for building out a dataset, and determines how a dataset should be split and organized. Understanding a dataset’s structure can help you create your own dataset, and know which subset of data you should use when during model training and evaluation.",L,c,D='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/split-configs-server.gif" alt="split-configs-server"/>',H,f,P,m,J="Every processed and cleaned dataset contains <em>splits</em>, specific subsets of data reserved for specific needs. The most common splits are:",C,p,K="<li><code>train</code>: data used to train a model; this data is exposed to the model</li> <li><code>validation</code>: data reserved for evaluation and improving model hyperparameters; this data is hidden from the model</li> <li><code>test</code>: data reserved for evaluation only; this data is completely hidden from the model and ourselves</li>",S,g,N="The <code>validation</code> and <code>test</code> sets are especially important to ensure a model is actually learning instead of <em>overfitting</em>, or just memorizing the data.",k,h,z,v,Q='A <em>configuration</em> is a higher-level internal structure than a split, and a configuration contains splits. You can think of a configuration as a sub-dataset contained within a larger dataset. It is a useful structure for adding additional layers of organization to a dataset. For example, if you take a look at the <a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech (MLS)</a> dataset, you’ll notice there are eight different languages. While you can create a dataset containing all eight languages, it’s probably neater to create a dataset with each language as a configuration. This way, users can instantly load a dataset with their language of interest instead of preprocessing the dataset to filter for a specific language.',E,$,V='Configurations are flexible, and can be used to organize a dataset along whatever objective you’d like. For example, the <a href="https://huggingface.co/datasets/scene_parse_150" rel="nofollow">SceneParse150</a> dataset uses configurations to organize the dataset by task. One configuration is dedicated to segmenting the whole image, while the other configuration is for instance segmentation.',j,_,A,w,U;return d=new W({props:{title:"Splits and configurations",local:"splits-and-configurations",headingTag:"h1"}}),f=new W({props:{title:"Splits",local:"splits",headingTag:"h2"}}),h=new W({props:{title:"Configurations",local:"configurations",headingTag:"h2"}}),_=new le({props:{source:"https://github.com/huggingface/datasets-server/blob/main/docs/source/configs_and_splits.md"}}),{c(){r=o("meta"),T=n(),b=o("p"),M=n(),q(d.$$.fragment),x=n(),u=o("p"),u.innerHTML=B,L=n(),c=o("p"),c.innerHTML=D,H=n(),q(f.$$.fragment),P=n(),m=o("p"),m.innerHTML=J,C=n(),p=o("ul"),p.innerHTML=K,S=n(),g=o("p"),g.innerHTML=N,k=n(),q(h.$$.fragment),z=n(),v=o("p"),v.innerHTML=Q,E=n(),$=o("p"),$.innerHTML=V,j=n(),q(_.$$.fragment),A=n(),w=o("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(a),T=s(e),b=l(e,"P",{}),X(b).forEach(a),M=s(e),F(d.$$.fragment,e),x=s(e),u=l(e,"P",{"data-svelte-h":!0}),y(u)!=="svelte-rov9zo"&&(u.innerHTML=B),L=s(e),c=l(e,"P",{"data-svelte-h":!0}),y(c)!=="svelte-1p3cuco"&&(c.innerHTML=D),H=s(e),F(f.$$.fragment,e),P=s(e),m=l(e,"P",{"data-svelte-h":!0}),y(m)!=="svelte-1xqui4b"&&(m.innerHTML=J),C=s(e),p=l(e,"UL",{"data-svelte-h":!0}),y(p)!=="svelte-1ptk7op"&&(p.innerHTML=K),S=s(e),g=l(e,"P",{"data-svelte-h":!0}),y(g)!=="svelte-be0hj3"&&(g.innerHTML=N),k=s(e),F(h.$$.fragment,e),z=s(e),v=l(e,"P",{"data-svelte-h":!0}),y(v)!=="svelte-5g9nse"&&(v.innerHTML=Q),E=s(e),$=l(e,"P",{"data-svelte-h":!0}),y($)!=="svelte-3xxeom"&&($.innerHTML=V),j=s(e),F(_.$$.fragment,e),A=s(e),w=l(e,"P",{}),X(w).forEach(a),this.h()},h(){Z(r,"name","hf:doc:metadata"),Z(r,"content",de)},m(e,t){oe(document.head,r),i(e,T,t),i(e,b,t),i(e,M,t),O(d,e,t),i(e,x,t),i(e,u,t),i(e,L,t),i(e,c,t),i(e,H,t),O(f,e,t),i(e,P,t),i(e,m,t),i(e,C,t),i(e,p,t),i(e,S,t),i(e,g,t),i(e,k,t),O(h,e,t),i(e,z,t),i(e,v,t),i(e,E,t),i(e,$,t),i(e,j,t),O(_,e,t),i(e,A,t),i(e,w,t),U=!0},p:te,i(e){U||(G(d.$$.fragment,e),G(f.$$.fragment,e),G(h.$$.fragment,e),G(_.$$.fragment,e),U=!0)},o(e){I(d.$$.fragment,e),I(f.$$.fragment,e),I(h.$$.fragment,e),I(_.$$.fragment,e),U=!1},d(e){e&&(a(T),a(b),a(M),a(x),a(u),a(L),a(c),a(H),a(P),a(m),a(C),a(p),a(S),a(g),a(k),a(z),a(v),a(E),a($),a(j),a(A),a(w)),a(r),R(d,e),R(f,e),R(h,e),R(_,e)}}}const de='{"title":"Splits and configurations","local":"splits-and-configurations","sections":[{"title":"Splits","local":"splits","sections":[],"depth":2},{"title":"Configurations","local":"configurations","sections":[],"depth":2}],"depth":1}';function ue(Y){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pe extends ie{constructor(r){super(),ne(this,r,ue,re,ee,{})}}export{pe as component};
